
import Prelude hiding (init)

import Polynomial hiding (d)
import Ideal
import Synthesis

{-

def division(a, d):
	"""calculates the division with remainder of a by d"""
	# Dijkstra. A Discipline of Programming. 1976
	q = 0
	r = a
	while r >= d:
		r = ???
		q = ???
	assert(a == q*d + r)
	return (q, r)

-}

-- | Program variables
a, a', d, d', q, q', r, r' :: (Eq t, Num t) => Polynomial t
a  = var "a"
a' = var "'a"
d  = var "d"
d' = var "'d"
q  = var "q"
q' = var "'q"
r  = var "r"
r' = var "'r"

-- | Initial state, exit and post condition, and transitions
init = ideal [ q - 0, r - a ]
exit = 0
post = 0 -- ideal [ a - r - d*q ]
transitions = [ideal [r' - template "syn1" 1 ["a", "d", "q", "r"],
                      q' - template "syn2" 1 ["a", "d", "q", "r"],
                      a' - a,
                      d' - d]]

tc_pre, tc_post :: Integer -> Integer -> Variable -> K
tc_pre a _ "a" = fromInteger a
tc_pre _ d "d" = fromInteger d
tc_pre _ _ "q" = 0
tc_pre a _ "r" = fromInteger a
tc_post a _ "a" = fromInteger a
tc_post _ d "d" = fromInteger d
tc_post a d "q" = fromInteger (a `div` d)
tc_post a d "r" = fromInteger (a `mod` d)

testcases = map (\(x,y,i) -> (tc_pre x y, tc_post x y, replicate i $ head transitions))
            [(4, 3, 1), (5, 2, 2), (1, 1, 1), (15, 6, 2), (17, 17, 1)]

main = dosynthesis 1 init exit post transitions testcases d ["a", "d", "q", "r"]
       where d = 2
