
import Prelude hiding (init)

import Polynomial
import Ideal
import Synthesis

{-

procedure product(x0, y0):
    s = 0
    y = y0
    while (y != 0):
        s = ???
        y = y - 1
    product = s
    assert(s == x0*y0)

-}

-- | Program variables
s, s', x0, x0', y0, y0', y' :: (Eq t, Num t) => Polynomial t
s   = var "s"
s'  = var "'s"
x0  = var "x0"
x0' = var "'x0"
y0  = var "y0"
y0' = var "'y0"
y'  = var "'y"

-- | Initial state, exit and post condition, and transitions
init = ideal [ s - 0, y - y0 ]
exit = ideal [ y - 0 ]
post = ideal [ s - x0*y0 ]
transitions = [ideal [y' - y + 1, s' - template "syn1" 1 ["x0", "s", "y", "y0"], x0' - x0, y0' - y0]]

main = dosynthesis 1 init exit post transitions [] d ["s", "x0", "y", "y0"]
       where d = 2 -- degree of the template polynomial for the invariant
