
import Prelude hiding (init)

import Polynomial
import Ideal
import Synthesis

a, a', b, b', n, n' :: (Eq t, Num t) => Polynomial t
a  = var "a"
a' = var "'a"
b  = var "b"
b' = var "'b"
n  = var "n"
n' = var "'n"

-- | Initial state, exit and post condition, and transitions
init = ideal [ a - n, b - template "syni1" 1 ["n"]]
exit = ideal [ a ]
post = ideal [ b - n*n ]
transitions = [ideal [ a' - a + 1,
                       b' - template "syn1" 1 ["a", "b", "n"],
                       n' - n ]]

main :: IO ()
main = dosynthesis 1 init exit post transitions [] d ["a", "b", "n"]
        where d = 2
