(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_aaa () Real)
(declare-fun inv_aab () Real)
(declare-fun inv_aac () Real)
(declare-fun inv_aan () Real)
(declare-fun inv_aa () Real)
(declare-fun inv_abb () Real)
(declare-fun inv_abc () Real)
(declare-fun inv_abn () Real)
(declare-fun inv_ab () Real)
(declare-fun inv_acc () Real)
(declare-fun inv_acn () Real)
(declare-fun inv_ac () Real)
(declare-fun inv_ann () Real)
(declare-fun inv_an () Real)
(declare-fun inv_a () Real)
(declare-fun inv_bbb () Real)
(declare-fun inv_bbc () Real)
(declare-fun inv_bbn () Real)
(declare-fun inv_bb () Real)
(declare-fun inv_bcc () Real)
(declare-fun inv_bcn () Real)
(declare-fun inv_bc () Real)
(declare-fun inv_bnn () Real)
(declare-fun inv_bn () Real)
(declare-fun inv_b () Real)
(declare-fun inv_ccc () Real)
(declare-fun inv_ccn () Real)
(declare-fun inv_cc () Real)
(declare-fun inv_cnn () Real)
(declare-fun inv_cn () Real)
(declare-fun inv_c () Real)
(declare-fun inv_nnn () Real)
(declare-fun inv_nn () Real)
(declare-fun inv_n () Real)
(declare-fun inv_0 () Real)
(declare-fun syni1_n () Real)
(declare-fun syni2_n () Real)
(declare-fun syni1_0 () Real)
(declare-fun syni2_0 () Real)
(declare-fun phi1_a () Real)
(declare-fun syn_b_a () Real)
(declare-fun syn_c_a () Real)
(declare-fun phi1_b () Real)
(declare-fun syn_b_b () Real)
(declare-fun syn_c_b () Real)
(declare-fun phi1_c () Real)
(declare-fun syn_b_c () Real)
(declare-fun syn_c_c () Real)
(declare-fun phi1_n () Real)
(declare-fun syn_b_n () Real)
(declare-fun syn_c_n () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn_b_0 () Real)
(declare-fun syn_c_0 () Real)

(assert (not (and (= 0 inv_aaa) (= 0 inv_aab) (= 0 inv_aac) (= 0 inv_aan) (= 0 inv_aa) (= 0 inv_abb) (= 0 inv_abc) (= 0 inv_abn) (= 0 inv_ab) (= 0 inv_acc) (= 0 inv_acn) (= 0 inv_ac) (= 0 inv_ann) (= 0 inv_an) (= 0 inv_a) (= 0 inv_bbb) (= 0 inv_bbc) (= 0 inv_bbn) (= 0 inv_bb) (= 0 inv_bcc) (= 0 inv_bcn) (= 0 inv_bc) (= 0 inv_bnn) (= 0 inv_bn) (= 0 inv_b) (= 0 inv_ccc) (= 0 inv_ccn) (= 0 inv_cc) (= 0 inv_cnn) (= 0 inv_cn) (= 0 inv_c) (= 0 inv_nnn) (= 0 inv_nn) (= 0 inv_n) (= 0 inv_0))))
(assert (= 0 (+ inv_aaa (* inv_aab syni1_n) (* inv_aac syni2_n) inv_aan (* inv_abb syni1_n syni1_n) (* inv_abc syni1_n syni2_n) (* inv_abn syni1_n) (* inv_acc syni2_n syni2_n) (* inv_acn syni2_n) inv_ann (* inv_bbb syni1_n syni1_n syni1_n) (* inv_bbc syni1_n syni1_n syni2_n) (* inv_bbn syni1_n syni1_n) (* inv_bcc syni1_n syni2_n syni2_n) (* inv_bcn syni1_n syni2_n) (* inv_bnn syni1_n) (* inv_ccc syni2_n syni2_n syni2_n) (* inv_ccn syni2_n syni2_n) (* inv_cnn syni2_n) inv_nnn)))
(assert (= 0 (+ inv_aa (* inv_aab syni1_0) (* inv_aac syni2_0) (* inv_ab syni1_n) (* 2 (* inv_abb syni1_0 syni1_n)) (* inv_abc syni1_0 syni2_n) (* inv_abc syni1_n syni2_0) (* inv_abn syni1_0) (* inv_ac syni2_n) (* 2 (* inv_acc syni2_0 syni2_n)) (* inv_acn syni2_0) inv_an (* inv_bb syni1_n syni1_n) (* 3 (* inv_bbb syni1_0 syni1_n syni1_n)) (* 2 (* inv_bbc syni1_0 syni1_n syni2_n)) (* inv_bbc syni1_n syni1_n syni2_0) (* 2 (* inv_bbn syni1_0 syni1_n)) (* inv_bc syni1_n syni2_n) (* inv_bcc syni1_0 syni2_n syni2_n) (* 2 (* inv_bcc syni1_n syni2_0 syni2_n)) (* inv_bcn syni1_0 syni2_n) (* inv_bcn syni1_n syni2_0) (* inv_bn syni1_n) (* inv_bnn syni1_0) (* inv_cc syni2_n syni2_n) (* 3 (* inv_ccc syni2_0 syni2_n syni2_n)) (* 2 (* inv_ccn syni2_0 syni2_n)) (* inv_cn syni2_n) (* inv_cnn syni2_0) inv_nn)))
(assert (= 0 (+ inv_a (* inv_ab syni1_0) (* inv_abb syni1_0 syni1_0) (* inv_abc syni1_0 syni2_0) (* inv_ac syni2_0) (* inv_acc syni2_0 syni2_0) (* inv_b syni1_n) (* 2 (* inv_bb syni1_0 syni1_n)) (* 3 (* inv_bbb syni1_0 syni1_0 syni1_n)) (* inv_bbc syni1_0 syni1_0 syni2_n) (* 2 (* inv_bbc syni1_0 syni1_n syni2_0)) (* inv_bbn syni1_0 syni1_0) (* inv_bc syni1_0 syni2_n) (* inv_bc syni1_n syni2_0) (* 2 (* inv_bcc syni1_0 syni2_0 syni2_n)) (* inv_bcc syni1_n syni2_0 syni2_0) (* inv_bcn syni1_0 syni2_0) (* inv_bn syni1_0) (* inv_c syni2_n) (* 2 (* inv_cc syni2_0 syni2_n)) (* 3 (* inv_ccc syni2_0 syni2_0 syni2_n)) (* inv_ccn syni2_0 syni2_0) (* inv_cn syni2_0) inv_n)))
(assert (= 0 (+ inv_0 (* inv_b syni1_0) (* inv_bb syni1_0 syni1_0) (* inv_bbb syni1_0 syni1_0 syni1_0) (* inv_bbc syni1_0 syni1_0 syni2_0) (* inv_bc syni1_0 syni2_0) (* inv_bcc syni1_0 syni2_0 syni2_0) (* inv_c syni2_0) (* inv_cc syni2_0 syni2_0) (* inv_ccc syni2_0 syni2_0 syni2_0))))
(assert (= 0 (* (- 1) inv_bbb)))
(assert (= 0 (* (- 1) inv_bbc)))
(assert (= 0 (* (- 1) inv_bbn)))
(assert (= 0 (* (- 1) inv_bb)))
(assert (= 0 (* (- 1) inv_bcc)))
(assert (= 0 (* (- 1) inv_bcn)))
(assert (= 0 (* (- 1) inv_bc)))
(assert (= 0 (* (- 1) inv_bnn)))
(assert (= 0 (* (- 1) inv_bn)))
(assert (= 0 (+ (* (- 1) inv_b) 1)))
(assert (= 0 (* (- 1) inv_ccc)))
(assert (= 0 (* (- 1) inv_ccn)))
(assert (= 0 (* (- 1) inv_cc)))
(assert (= 0 (* (- 1) inv_cnn)))
(assert (= 0 (* (- 1) inv_cn)))
(assert (= 0 (* (- 1) inv_c)))
(assert (= 0 (+ (* (- 1) inv_nnn) (* (- 1) 1))))
(assert (= 0 (* (- 1) inv_nn)))
(assert (= 0 (* (- 1) inv_n)))
(assert (= 0 (* (- 1) inv_0)))
(assert (= 0 (+ (* (- 1) (* inv_aaa phi1_a)) inv_aaa (* inv_aab syn_b_a) (* inv_aac syn_c_a) (* inv_abb syn_b_a syn_b_a) (* inv_abc syn_b_a syn_c_a) (* inv_acc syn_c_a syn_c_a) (* inv_bbb syn_b_a syn_b_a syn_b_a) (* inv_bbc syn_b_a syn_b_a syn_c_a) (* inv_bcc syn_b_a syn_c_a syn_c_a) (* inv_ccc syn_c_a syn_c_a syn_c_a))))
(assert (= 0 (+ (* (- 1) (* inv_aaa phi1_b)) (* (- 1) (* inv_aab phi1_a)) (* inv_aab syn_b_b) (* inv_aac syn_c_b) (* 2 (* inv_abb syn_b_a syn_b_b)) (* inv_abc syn_b_a syn_c_b) (* inv_abc syn_b_b syn_c_a) (* 2 (* inv_acc syn_c_a syn_c_b)) (* 3 (* inv_bbb syn_b_a syn_b_a syn_b_b)) (* inv_bbc syn_b_a syn_b_a syn_c_b) (* 2 (* inv_bbc syn_b_a syn_b_b syn_c_a)) (* 2 (* inv_bcc syn_b_a syn_c_a syn_c_b)) (* inv_bcc syn_b_b syn_c_a syn_c_a) (* 3 (* inv_ccc syn_c_a syn_c_a syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_aaa phi1_c)) (* inv_aab syn_b_c) (* (- 1) (* inv_aac phi1_a)) (* inv_aac syn_c_c) (* 2 (* inv_abb syn_b_a syn_b_c)) (* inv_abc syn_b_a syn_c_c) (* inv_abc syn_b_c syn_c_a) (* 2 (* inv_acc syn_c_a syn_c_c)) (* 3 (* inv_bbb syn_b_a syn_b_a syn_b_c)) (* inv_bbc syn_b_a syn_b_a syn_c_c) (* 2 (* inv_bbc syn_b_a syn_b_c syn_c_a)) (* 2 (* inv_bcc syn_b_a syn_c_a syn_c_c)) (* inv_bcc syn_b_c syn_c_a syn_c_a) (* 3 (* inv_ccc syn_c_a syn_c_a syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_aaa phi1_n)) (* inv_aab syn_b_n) (* inv_aac syn_c_n) (* (- 1) (* inv_aan phi1_a)) inv_aan (* 2 (* inv_abb syn_b_a syn_b_n)) (* inv_abc syn_b_a syn_c_n) (* inv_abc syn_b_n syn_c_a) (* inv_abn syn_b_a) (* 2 (* inv_acc syn_c_a syn_c_n)) (* inv_acn syn_c_a) (* 3 (* inv_bbb syn_b_a syn_b_a syn_b_n)) (* inv_bbc syn_b_a syn_b_a syn_c_n) (* 2 (* inv_bbc syn_b_a syn_b_n syn_c_a)) (* inv_bbn syn_b_a syn_b_a) (* 2 (* inv_bcc syn_b_a syn_c_a syn_c_n)) (* inv_bcc syn_b_n syn_c_a syn_c_a) (* inv_bcn syn_b_a syn_c_a) (* 3 (* inv_ccc syn_c_a syn_c_a syn_c_n)) (* inv_ccn syn_c_a syn_c_a))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_a)) inv_aa (* (- 1) (* inv_aaa phi1_0)) (* (- 3) inv_aaa) (* inv_aab syn_b_0) (* (- 2) (* inv_aab syn_b_a)) (* inv_aac syn_c_0) (* (- 2) (* inv_aac syn_c_a)) (* inv_ab syn_b_a) (* 2 (* inv_abb syn_b_0 syn_b_a)) (* (- 1) (* inv_abb syn_b_a syn_b_a)) (* inv_abc syn_b_0 syn_c_a) (* inv_abc syn_b_a syn_c_0) (* (- 1) (* inv_abc syn_b_a syn_c_a)) (* inv_ac syn_c_a) (* 2 (* inv_acc syn_c_0 syn_c_a)) (* (- 1) (* inv_acc syn_c_a syn_c_a)) (* inv_bb syn_b_a syn_b_a) (* 3 (* inv_bbb syn_b_0 syn_b_a syn_b_a)) (* 2 (* inv_bbc syn_b_0 syn_b_a syn_c_a)) (* inv_bbc syn_b_a syn_b_a syn_c_0) (* inv_bc syn_b_a syn_c_a) (* inv_bcc syn_b_0 syn_c_a syn_c_a) (* 2 (* inv_bcc syn_b_a syn_c_0 syn_c_a)) (* inv_cc syn_c_a syn_c_a) (* 3 (* inv_ccc syn_c_0 syn_c_a syn_c_a)))))
(assert (= 0 (+ (* (- 1) (* inv_aab phi1_b)) (* (- 1) (* inv_abb phi1_a)) (* inv_abb syn_b_b syn_b_b) (* inv_abc syn_b_b syn_c_b) (* inv_acc syn_c_b syn_c_b) (* 3 (* inv_bbb syn_b_a syn_b_b syn_b_b)) (* 2 (* inv_bbc syn_b_a syn_b_b syn_c_b)) (* inv_bbc syn_b_b syn_b_b syn_c_a) (* inv_bcc syn_b_a syn_c_b syn_c_b) (* 2 (* inv_bcc syn_b_b syn_c_a syn_c_b)) (* 3 (* inv_ccc syn_c_a syn_c_b syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_aab phi1_c)) (* (- 1) (* inv_aac phi1_b)) (* 2 (* inv_abb syn_b_b syn_b_c)) (* (- 1) (* inv_abc phi1_a)) (* inv_abc syn_b_b syn_c_c) (* inv_abc syn_b_c syn_c_b) (* 2 (* inv_acc syn_c_b syn_c_c)) (* 6 (* inv_bbb syn_b_a syn_b_b syn_b_c)) (* 2 (* inv_bbc syn_b_a syn_b_b syn_c_c)) (* 2 (* inv_bbc syn_b_a syn_b_c syn_c_b)) (* 2 (* inv_bbc syn_b_b syn_b_c syn_c_a)) (* 2 (* inv_bcc syn_b_a syn_c_b syn_c_c)) (* 2 (* inv_bcc syn_b_b syn_c_a syn_c_c)) (* 2 (* inv_bcc syn_b_c syn_c_a syn_c_b)) (* 6 (* inv_ccc syn_c_a syn_c_b syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_aab phi1_n)) (* (- 1) (* inv_aan phi1_b)) (* 2 (* inv_abb syn_b_b syn_b_n)) (* inv_abc syn_b_b syn_c_n) (* inv_abc syn_b_n syn_c_b) (* (- 1) (* inv_abn phi1_a)) (* inv_abn syn_b_b) (* 2 (* inv_acc syn_c_b syn_c_n)) (* inv_acn syn_c_b) (* 6 (* inv_bbb syn_b_a syn_b_b syn_b_n)) (* 2 (* inv_bbc syn_b_a syn_b_b syn_c_n)) (* 2 (* inv_bbc syn_b_a syn_b_n syn_c_b)) (* 2 (* inv_bbc syn_b_b syn_b_n syn_c_a)) (* 2 (* inv_bbn syn_b_a syn_b_b)) (* 2 (* inv_bcc syn_b_a syn_c_b syn_c_n)) (* 2 (* inv_bcc syn_b_b syn_c_a syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_a syn_c_b)) (* inv_bcn syn_b_a syn_c_b) (* inv_bcn syn_b_b syn_c_a) (* 6 (* inv_ccc syn_c_a syn_c_b syn_c_n)) (* 2 (* inv_ccn syn_c_a syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_b)) (* (- 1) (* inv_aab phi1_0)) (* (- 2) (* inv_aab syn_b_b)) (* (- 2) (* inv_aac syn_c_b)) (* (- 1) (* inv_ab phi1_a)) (* inv_ab syn_b_b) (* 2 (* inv_abb syn_b_0 syn_b_b)) (* (- 2) (* inv_abb syn_b_a syn_b_b)) (* inv_abc syn_b_0 syn_c_b) (* (- 1) (* inv_abc syn_b_a syn_c_b)) (* inv_abc syn_b_b syn_c_0) (* (- 1) (* inv_abc syn_b_b syn_c_a)) (* inv_ac syn_c_b) (* 2 (* inv_acc syn_c_0 syn_c_b)) (* (- 2) (* inv_acc syn_c_a syn_c_b)) (* 2 (* inv_bb syn_b_a syn_b_b)) (* 6 (* inv_bbb syn_b_0 syn_b_a syn_b_b)) (* 2 (* inv_bbc syn_b_0 syn_b_a syn_c_b)) (* 2 (* inv_bbc syn_b_0 syn_b_b syn_c_a)) (* 2 (* inv_bbc syn_b_a syn_b_b syn_c_0)) (* inv_bc syn_b_a syn_c_b) (* inv_bc syn_b_b syn_c_a) (* 2 (* inv_bcc syn_b_0 syn_c_a syn_c_b)) (* 2 (* inv_bcc syn_b_a syn_c_0 syn_c_b)) (* 2 (* inv_bcc syn_b_b syn_c_0 syn_c_a)) (* 2 (* inv_cc syn_c_a syn_c_b)) (* 6 (* inv_ccc syn_c_0 syn_c_a syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_aac phi1_c)) (* inv_abb syn_b_c syn_b_c) (* inv_abc syn_b_c syn_c_c) (* (- 1) (* inv_acc phi1_a)) (* inv_acc syn_c_c syn_c_c) (* 3 (* inv_bbb syn_b_a syn_b_c syn_b_c)) (* 2 (* inv_bbc syn_b_a syn_b_c syn_c_c)) (* inv_bbc syn_b_c syn_b_c syn_c_a) (* inv_bcc syn_b_a syn_c_c syn_c_c) (* 2 (* inv_bcc syn_b_c syn_c_a syn_c_c)) (* 3 (* inv_ccc syn_c_a syn_c_c syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_aac phi1_n)) (* (- 1) (* inv_aan phi1_c)) (* 2 (* inv_abb syn_b_c syn_b_n)) (* inv_abc syn_b_c syn_c_n) (* inv_abc syn_b_n syn_c_c) (* inv_abn syn_b_c) (* 2 (* inv_acc syn_c_c syn_c_n)) (* (- 1) (* inv_acn phi1_a)) (* inv_acn syn_c_c) (* 6 (* inv_bbb syn_b_a syn_b_c syn_b_n)) (* 2 (* inv_bbc syn_b_a syn_b_c syn_c_n)) (* 2 (* inv_bbc syn_b_a syn_b_n syn_c_c)) (* 2 (* inv_bbc syn_b_c syn_b_n syn_c_a)) (* 2 (* inv_bbn syn_b_a syn_b_c)) (* 2 (* inv_bcc syn_b_a syn_c_c syn_c_n)) (* 2 (* inv_bcc syn_b_c syn_c_a syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_a syn_c_c)) (* inv_bcn syn_b_a syn_c_c) (* inv_bcn syn_b_c syn_c_a) (* 6 (* inv_ccc syn_c_a syn_c_c syn_c_n)) (* 2 (* inv_ccn syn_c_a syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_c)) (* (- 2) (* inv_aab syn_b_c)) (* (- 1) (* inv_aac phi1_0)) (* (- 2) (* inv_aac syn_c_c)) (* inv_ab syn_b_c) (* 2 (* inv_abb syn_b_0 syn_b_c)) (* (- 2) (* inv_abb syn_b_a syn_b_c)) (* inv_abc syn_b_0 syn_c_c) (* (- 1) (* inv_abc syn_b_a syn_c_c)) (* inv_abc syn_b_c syn_c_0) (* (- 1) (* inv_abc syn_b_c syn_c_a)) (* (- 1) (* inv_ac phi1_a)) (* inv_ac syn_c_c) (* 2 (* inv_acc syn_c_0 syn_c_c)) (* (- 2) (* inv_acc syn_c_a syn_c_c)) (* 2 (* inv_bb syn_b_a syn_b_c)) (* 6 (* inv_bbb syn_b_0 syn_b_a syn_b_c)) (* 2 (* inv_bbc syn_b_0 syn_b_a syn_c_c)) (* 2 (* inv_bbc syn_b_0 syn_b_c syn_c_a)) (* 2 (* inv_bbc syn_b_a syn_b_c syn_c_0)) (* inv_bc syn_b_a syn_c_c) (* inv_bc syn_b_c syn_c_a) (* 2 (* inv_bcc syn_b_0 syn_c_a syn_c_c)) (* 2 (* inv_bcc syn_b_a syn_c_0 syn_c_c)) (* 2 (* inv_bcc syn_b_c syn_c_0 syn_c_a)) (* 2 (* inv_cc syn_c_a syn_c_c)) (* 6 (* inv_ccc syn_c_0 syn_c_a syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_aan phi1_n)) (* inv_abb syn_b_n syn_b_n) (* inv_abc syn_b_n syn_c_n) (* inv_abn syn_b_n) (* inv_acc syn_c_n syn_c_n) (* inv_acn syn_c_n) (* (- 1) (* inv_ann phi1_a)) inv_ann (* 3 (* inv_bbb syn_b_a syn_b_n syn_b_n)) (* 2 (* inv_bbc syn_b_a syn_b_n syn_c_n)) (* inv_bbc syn_b_n syn_b_n syn_c_a) (* 2 (* inv_bbn syn_b_a syn_b_n)) (* inv_bcc syn_b_a syn_c_n syn_c_n) (* 2 (* inv_bcc syn_b_n syn_c_a syn_c_n)) (* inv_bcn syn_b_a syn_c_n) (* inv_bcn syn_b_n syn_c_a) (* inv_bnn syn_b_a) (* 3 (* inv_ccc syn_c_a syn_c_n syn_c_n)) (* 2 (* inv_ccn syn_c_a syn_c_n)) (* inv_cnn syn_c_a))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_n)) (* (- 2) (* inv_aab syn_b_n)) (* (- 2) (* inv_aac syn_c_n)) (* (- 1) (* inv_aan phi1_0)) (* (- 2) inv_aan) (* inv_ab syn_b_n) (* 2 (* inv_abb syn_b_0 syn_b_n)) (* (- 2) (* inv_abb syn_b_a syn_b_n)) (* inv_abc syn_b_0 syn_c_n) (* (- 1) (* inv_abc syn_b_a syn_c_n)) (* inv_abc syn_b_n syn_c_0) (* (- 1) (* inv_abc syn_b_n syn_c_a)) (* inv_abn syn_b_0) (* (- 1) (* inv_abn syn_b_a)) (* inv_ac syn_c_n) (* 2 (* inv_acc syn_c_0 syn_c_n)) (* (- 2) (* inv_acc syn_c_a syn_c_n)) (* inv_acn syn_c_0) (* (- 1) (* inv_acn syn_c_a)) (* (- 1) (* inv_an phi1_a)) inv_an (* 2 (* inv_bb syn_b_a syn_b_n)) (* 6 (* inv_bbb syn_b_0 syn_b_a syn_b_n)) (* 2 (* inv_bbc syn_b_0 syn_b_a syn_c_n)) (* 2 (* inv_bbc syn_b_0 syn_b_n syn_c_a)) (* 2 (* inv_bbc syn_b_a syn_b_n syn_c_0)) (* 2 (* inv_bbn syn_b_0 syn_b_a)) (* inv_bc syn_b_a syn_c_n) (* inv_bc syn_b_n syn_c_a) (* 2 (* inv_bcc syn_b_0 syn_c_a syn_c_n)) (* 2 (* inv_bcc syn_b_a syn_c_0 syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_0 syn_c_a)) (* inv_bcn syn_b_0 syn_c_a) (* inv_bcn syn_b_a syn_c_0) (* inv_bn syn_b_a) (* 2 (* inv_cc syn_c_a syn_c_n)) (* 6 (* inv_ccc syn_c_0 syn_c_a syn_c_n)) (* 2 (* inv_ccn syn_c_0 syn_c_a)) (* inv_cn syn_c_a))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_a)) inv_a (* (- 1) (* inv_aa phi1_0)) (* (- 2) inv_aa) (* 3 inv_aaa) (* (- 2) (* inv_aab syn_b_0)) (* inv_aab syn_b_a) (* (- 2) (* inv_aac syn_c_0)) (* inv_aac syn_c_a) (* inv_ab syn_b_0) (* (- 1) (* inv_ab syn_b_a)) (* inv_abb syn_b_0 syn_b_0) (* (- 2) (* inv_abb syn_b_0 syn_b_a)) (* inv_abc syn_b_0 syn_c_0) (* (- 1) (* inv_abc syn_b_0 syn_c_a)) (* (- 1) (* inv_abc syn_b_a syn_c_0)) (* inv_ac syn_c_0) (* (- 1) (* inv_ac syn_c_a)) (* inv_acc syn_c_0 syn_c_0) (* (- 2) (* inv_acc syn_c_0 syn_c_a)) (* inv_b syn_b_a) (* 2 (* inv_bb syn_b_0 syn_b_a)) (* 3 (* inv_bbb syn_b_0 syn_b_0 syn_b_a)) (* inv_bbc syn_b_0 syn_b_0 syn_c_a) (* 2 (* inv_bbc syn_b_0 syn_b_a syn_c_0)) (* inv_bc syn_b_0 syn_c_a) (* inv_bc syn_b_a syn_c_0) (* 2 (* inv_bcc syn_b_0 syn_c_0 syn_c_a)) (* inv_bcc syn_b_a syn_c_0 syn_c_0) (* inv_c syn_c_a) (* 2 (* inv_cc syn_c_0 syn_c_a)) (* 3 (* inv_ccc syn_c_0 syn_c_0 syn_c_a)))))
(assert (= 0 (+ (* (- 1) (* inv_abb phi1_b)) (* (- 1) (* inv_bbb phi1_a)) (* inv_bbb syn_b_b syn_b_b syn_b_b) (* inv_bbc syn_b_b syn_b_b syn_c_b) (* inv_bcc syn_b_b syn_c_b syn_c_b) (* inv_ccc syn_c_b syn_c_b syn_c_b))))
(assert (= 0 (+ (* (- 1) (* inv_abb phi1_c)) (* (- 1) (* inv_abc phi1_b)) (* 3 (* inv_bbb syn_b_b syn_b_b syn_b_c)) (* (- 1) (* inv_bbc phi1_a)) (* inv_bbc syn_b_b syn_b_b syn_c_c) (* 2 (* inv_bbc syn_b_b syn_b_c syn_c_b)) (* 2 (* inv_bcc syn_b_b syn_c_b syn_c_c)) (* inv_bcc syn_b_c syn_c_b syn_c_b) (* 3 (* inv_ccc syn_c_b syn_c_b syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_abb phi1_n)) (* (- 1) (* inv_abn phi1_b)) (* 3 (* inv_bbb syn_b_b syn_b_b syn_b_n)) (* inv_bbc syn_b_b syn_b_b syn_c_n) (* 2 (* inv_bbc syn_b_b syn_b_n syn_c_b)) (* (- 1) (* inv_bbn phi1_a)) (* inv_bbn syn_b_b syn_b_b) (* 2 (* inv_bcc syn_b_b syn_c_b syn_c_n)) (* inv_bcc syn_b_n syn_c_b syn_c_b) (* inv_bcn syn_b_b syn_c_b) (* 3 (* inv_ccc syn_c_b syn_c_b syn_c_n)) (* inv_ccn syn_c_b syn_c_b))))
(assert (= 0 (+ (* (- 1) (* inv_ab phi1_b)) (* (- 1) (* inv_abb phi1_0)) (* (- 1) (* inv_abb syn_b_b syn_b_b)) (* (- 1) (* inv_abc syn_b_b syn_c_b)) (* (- 1) (* inv_acc syn_c_b syn_c_b)) (* (- 1) (* inv_bb phi1_a)) (* inv_bb syn_b_b syn_b_b) (* 3 (* inv_bbb syn_b_0 syn_b_b syn_b_b)) (* 2 (* inv_bbc syn_b_0 syn_b_b syn_c_b)) (* inv_bbc syn_b_b syn_b_b syn_c_0) (* inv_bc syn_b_b syn_c_b) (* inv_bcc syn_b_0 syn_c_b syn_c_b) (* 2 (* inv_bcc syn_b_b syn_c_0 syn_c_b)) (* inv_cc syn_c_b syn_c_b) (* 3 (* inv_ccc syn_c_0 syn_c_b syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_abc phi1_c)) (* (- 1) (* inv_acc phi1_b)) (* 3 (* inv_bbb syn_b_b syn_b_c syn_b_c)) (* 2 (* inv_bbc syn_b_b syn_b_c syn_c_c)) (* inv_bbc syn_b_c syn_b_c syn_c_b) (* (- 1) (* inv_bcc phi1_a)) (* inv_bcc syn_b_b syn_c_c syn_c_c) (* 2 (* inv_bcc syn_b_c syn_c_b syn_c_c)) (* 3 (* inv_ccc syn_c_b syn_c_c syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_abc phi1_n)) (* (- 1) (* inv_abn phi1_c)) (* (- 1) (* inv_acn phi1_b)) (* 6 (* inv_bbb syn_b_b syn_b_c syn_b_n)) (* 2 (* inv_bbc syn_b_b syn_b_c syn_c_n)) (* 2 (* inv_bbc syn_b_b syn_b_n syn_c_c)) (* 2 (* inv_bbc syn_b_c syn_b_n syn_c_b)) (* 2 (* inv_bbn syn_b_b syn_b_c)) (* 2 (* inv_bcc syn_b_b syn_c_c syn_c_n)) (* 2 (* inv_bcc syn_b_c syn_c_b syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_b syn_c_c)) (* (- 1) (* inv_bcn phi1_a)) (* inv_bcn syn_b_b syn_c_c) (* inv_bcn syn_b_c syn_c_b) (* 6 (* inv_ccc syn_c_b syn_c_c syn_c_n)) (* 2 (* inv_ccn syn_c_b syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_ab phi1_c)) (* (- 2) (* inv_abb syn_b_b syn_b_c)) (* (- 1) (* inv_abc phi1_0)) (* (- 1) (* inv_abc syn_b_b syn_c_c)) (* (- 1) (* inv_abc syn_b_c syn_c_b)) (* (- 1) (* inv_ac phi1_b)) (* (- 2) (* inv_acc syn_c_b syn_c_c)) (* 2 (* inv_bb syn_b_b syn_b_c)) (* 6 (* inv_bbb syn_b_0 syn_b_b syn_b_c)) (* 2 (* inv_bbc syn_b_0 syn_b_b syn_c_c)) (* 2 (* inv_bbc syn_b_0 syn_b_c syn_c_b)) (* 2 (* inv_bbc syn_b_b syn_b_c syn_c_0)) (* (- 1) (* inv_bc phi1_a)) (* inv_bc syn_b_b syn_c_c) (* inv_bc syn_b_c syn_c_b) (* 2 (* inv_bcc syn_b_0 syn_c_b syn_c_c)) (* 2 (* inv_bcc syn_b_b syn_c_0 syn_c_c)) (* 2 (* inv_bcc syn_b_c syn_c_0 syn_c_b)) (* 2 (* inv_cc syn_c_b syn_c_c)) (* 6 (* inv_ccc syn_c_0 syn_c_b syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_abn phi1_n)) (* (- 1) (* inv_ann phi1_b)) (* 3 (* inv_bbb syn_b_b syn_b_n syn_b_n)) (* 2 (* inv_bbc syn_b_b syn_b_n syn_c_n)) (* inv_bbc syn_b_n syn_b_n syn_c_b) (* 2 (* inv_bbn syn_b_b syn_b_n)) (* inv_bcc syn_b_b syn_c_n syn_c_n) (* 2 (* inv_bcc syn_b_n syn_c_b syn_c_n)) (* inv_bcn syn_b_b syn_c_n) (* inv_bcn syn_b_n syn_c_b) (* (- 1) (* inv_bnn phi1_a)) (* inv_bnn syn_b_b) (* 3 (* inv_ccc syn_c_b syn_c_n syn_c_n)) (* 2 (* inv_ccn syn_c_b syn_c_n)) (* inv_cnn syn_c_b))))
(assert (= 0 (+ (* (- 1) (* inv_ab phi1_n)) (* (- 2) (* inv_abb syn_b_b syn_b_n)) (* (- 1) (* inv_abc syn_b_b syn_c_n)) (* (- 1) (* inv_abc syn_b_n syn_c_b)) (* (- 1) (* inv_abn phi1_0)) (* (- 1) (* inv_abn syn_b_b)) (* (- 2) (* inv_acc syn_c_b syn_c_n)) (* (- 1) (* inv_acn syn_c_b)) (* (- 1) (* inv_an phi1_b)) (* 2 (* inv_bb syn_b_b syn_b_n)) (* 6 (* inv_bbb syn_b_0 syn_b_b syn_b_n)) (* 2 (* inv_bbc syn_b_0 syn_b_b syn_c_n)) (* 2 (* inv_bbc syn_b_0 syn_b_n syn_c_b)) (* 2 (* inv_bbc syn_b_b syn_b_n syn_c_0)) (* 2 (* inv_bbn syn_b_0 syn_b_b)) (* inv_bc syn_b_b syn_c_n) (* inv_bc syn_b_n syn_c_b) (* 2 (* inv_bcc syn_b_0 syn_c_b syn_c_n)) (* 2 (* inv_bcc syn_b_b syn_c_0 syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_0 syn_c_b)) (* inv_bcn syn_b_0 syn_c_b) (* inv_bcn syn_b_b syn_c_0) (* (- 1) (* inv_bn phi1_a)) (* inv_bn syn_b_b) (* 2 (* inv_cc syn_c_b syn_c_n)) (* 6 (* inv_ccc syn_c_0 syn_c_b syn_c_n)) (* 2 (* inv_ccn syn_c_0 syn_c_b)) (* inv_cn syn_c_b))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_b)) (* inv_aab syn_b_b) (* inv_aac syn_c_b) (* (- 1) (* inv_ab phi1_0)) (* (- 1) (* inv_ab syn_b_b)) (* (- 2) (* inv_abb syn_b_0 syn_b_b)) (* (- 1) (* inv_abc syn_b_0 syn_c_b)) (* (- 1) (* inv_abc syn_b_b syn_c_0)) (* (- 1) (* inv_ac syn_c_b)) (* (- 2) (* inv_acc syn_c_0 syn_c_b)) (* (- 1) (* inv_b phi1_a)) (* inv_b syn_b_b) (* 2 (* inv_bb syn_b_0 syn_b_b)) (* 3 (* inv_bbb syn_b_0 syn_b_0 syn_b_b)) (* inv_bbc syn_b_0 syn_b_0 syn_c_b) (* 2 (* inv_bbc syn_b_0 syn_b_b syn_c_0)) (* inv_bc syn_b_0 syn_c_b) (* inv_bc syn_b_b syn_c_0) (* 2 (* inv_bcc syn_b_0 syn_c_0 syn_c_b)) (* inv_bcc syn_b_b syn_c_0 syn_c_0) (* inv_c syn_c_b) (* 2 (* inv_cc syn_c_0 syn_c_b)) (* 3 (* inv_ccc syn_c_0 syn_c_0 syn_c_b)))))
(assert (= 0 (+ (* (- 1) (* inv_acc phi1_c)) (* inv_bbb syn_b_c syn_b_c syn_b_c) (* inv_bbc syn_b_c syn_b_c syn_c_c) (* inv_bcc syn_b_c syn_c_c syn_c_c) (* (- 1) (* inv_ccc phi1_a)) (* inv_ccc syn_c_c syn_c_c syn_c_c))))
(assert (= 0 (+ (* (- 1) (* inv_acc phi1_n)) (* (- 1) (* inv_acn phi1_c)) (* 3 (* inv_bbb syn_b_c syn_b_c syn_b_n)) (* inv_bbc syn_b_c syn_b_c syn_c_n) (* 2 (* inv_bbc syn_b_c syn_b_n syn_c_c)) (* inv_bbn syn_b_c syn_b_c) (* 2 (* inv_bcc syn_b_c syn_c_c syn_c_n)) (* inv_bcc syn_b_n syn_c_c syn_c_c) (* inv_bcn syn_b_c syn_c_c) (* 3 (* inv_ccc syn_c_c syn_c_c syn_c_n)) (* (- 1) (* inv_ccn phi1_a)) (* inv_ccn syn_c_c syn_c_c))))
(assert (= 0 (+ (* (- 1) (* inv_abb syn_b_c syn_b_c)) (* (- 1) (* inv_abc syn_b_c syn_c_c)) (* (- 1) (* inv_ac phi1_c)) (* (- 1) (* inv_acc phi1_0)) (* (- 1) (* inv_acc syn_c_c syn_c_c)) (* inv_bb syn_b_c syn_b_c) (* 3 (* inv_bbb syn_b_0 syn_b_c syn_b_c)) (* 2 (* inv_bbc syn_b_0 syn_b_c syn_c_c)) (* inv_bbc syn_b_c syn_b_c syn_c_0) (* inv_bc syn_b_c syn_c_c) (* inv_bcc syn_b_0 syn_c_c syn_c_c) (* 2 (* inv_bcc syn_b_c syn_c_0 syn_c_c)) (* (- 1) (* inv_cc phi1_a)) (* inv_cc syn_c_c syn_c_c) (* 3 (* inv_ccc syn_c_0 syn_c_c syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_acn phi1_n)) (* (- 1) (* inv_ann phi1_c)) (* 3 (* inv_bbb syn_b_c syn_b_n syn_b_n)) (* 2 (* inv_bbc syn_b_c syn_b_n syn_c_n)) (* inv_bbc syn_b_n syn_b_n syn_c_c) (* 2 (* inv_bbn syn_b_c syn_b_n)) (* inv_bcc syn_b_c syn_c_n syn_c_n) (* 2 (* inv_bcc syn_b_n syn_c_c syn_c_n)) (* inv_bcn syn_b_c syn_c_n) (* inv_bcn syn_b_n syn_c_c) (* inv_bnn syn_b_c) (* 3 (* inv_ccc syn_c_c syn_c_n syn_c_n)) (* 2 (* inv_ccn syn_c_c syn_c_n)) (* (- 1) (* inv_cnn phi1_a)) (* inv_cnn syn_c_c))))
(assert (= 0 (+ (* (- 2) (* inv_abb syn_b_c syn_b_n)) (* (- 1) (* inv_abc syn_b_c syn_c_n)) (* (- 1) (* inv_abc syn_b_n syn_c_c)) (* (- 1) (* inv_abn syn_b_c)) (* (- 1) (* inv_ac phi1_n)) (* (- 2) (* inv_acc syn_c_c syn_c_n)) (* (- 1) (* inv_acn phi1_0)) (* (- 1) (* inv_acn syn_c_c)) (* (- 1) (* inv_an phi1_c)) (* 2 (* inv_bb syn_b_c syn_b_n)) (* 6 (* inv_bbb syn_b_0 syn_b_c syn_b_n)) (* 2 (* inv_bbc syn_b_0 syn_b_c syn_c_n)) (* 2 (* inv_bbc syn_b_0 syn_b_n syn_c_c)) (* 2 (* inv_bbc syn_b_c syn_b_n syn_c_0)) (* 2 (* inv_bbn syn_b_0 syn_b_c)) (* inv_bc syn_b_c syn_c_n) (* inv_bc syn_b_n syn_c_c) (* 2 (* inv_bcc syn_b_0 syn_c_c syn_c_n)) (* 2 (* inv_bcc syn_b_c syn_c_0 syn_c_n)) (* 2 (* inv_bcc syn_b_n syn_c_0 syn_c_c)) (* inv_bcn syn_b_0 syn_c_c) (* inv_bcn syn_b_c syn_c_0) (* inv_bn syn_b_c) (* 2 (* inv_cc syn_c_c syn_c_n)) (* 6 (* inv_ccc syn_c_0 syn_c_c syn_c_n)) (* 2 (* inv_ccn syn_c_0 syn_c_c)) (* (- 1) (* inv_cn phi1_a)) (* inv_cn syn_c_c))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_c)) (* inv_aab syn_b_c) (* inv_aac syn_c_c) (* (- 1) (* inv_ab syn_b_c)) (* (- 2) (* inv_abb syn_b_0 syn_b_c)) (* (- 1) (* inv_abc syn_b_0 syn_c_c)) (* (- 1) (* inv_abc syn_b_c syn_c_0)) (* (- 1) (* inv_ac phi1_0)) (* (- 1) (* inv_ac syn_c_c)) (* (- 2) (* inv_acc syn_c_0 syn_c_c)) (* inv_b syn_b_c) (* 2 (* inv_bb syn_b_0 syn_b_c)) (* 3 (* inv_bbb syn_b_0 syn_b_0 syn_b_c)) (* inv_bbc syn_b_0 syn_b_0 syn_c_c) (* 2 (* inv_bbc syn_b_0 syn_b_c syn_c_0)) (* inv_bc syn_b_0 syn_c_c) (* inv_bc syn_b_c syn_c_0) (* 2 (* inv_bcc syn_b_0 syn_c_0 syn_c_c)) (* inv_bcc syn_b_c syn_c_0 syn_c_0) (* (- 1) (* inv_c phi1_a)) (* inv_c syn_c_c) (* 2 (* inv_cc syn_c_0 syn_c_c)) (* 3 (* inv_ccc syn_c_0 syn_c_0 syn_c_c)))))
(assert (= 0 (+ (* (- 1) (* inv_ann phi1_n)) (* inv_bbb syn_b_n syn_b_n syn_b_n) (* inv_bbc syn_b_n syn_b_n syn_c_n) (* inv_bbn syn_b_n syn_b_n) (* inv_bcc syn_b_n syn_c_n syn_c_n) (* inv_bcn syn_b_n syn_c_n) (* inv_bnn syn_b_n) (* inv_ccc syn_c_n syn_c_n syn_c_n) (* inv_ccn syn_c_n syn_c_n) (* inv_cnn syn_c_n) (* (- 1) (* inv_nnn phi1_a)) inv_nnn)))
(assert (= 0 (+ (* (- 1) (* inv_abb syn_b_n syn_b_n)) (* (- 1) (* inv_abc syn_b_n syn_c_n)) (* (- 1) (* inv_abn syn_b_n)) (* (- 1) (* inv_acc syn_c_n syn_c_n)) (* (- 1) (* inv_acn syn_c_n)) (* (- 1) (* inv_an phi1_n)) (* (- 1) (* inv_ann phi1_0)) (* (- 1) inv_ann) (* inv_bb syn_b_n syn_b_n) (* 3 (* inv_bbb syn_b_0 syn_b_n syn_b_n)) (* 2 (* inv_bbc syn_b_0 syn_b_n syn_c_n)) (* inv_bbc syn_b_n syn_b_n syn_c_0) (* 2 (* inv_bbn syn_b_0 syn_b_n)) (* inv_bc syn_b_n syn_c_n) (* inv_bcc syn_b_0 syn_c_n syn_c_n) (* 2 (* inv_bcc syn_b_n syn_c_0 syn_c_n)) (* inv_bcn syn_b_0 syn_c_n) (* inv_bcn syn_b_n syn_c_0) (* inv_bn syn_b_n) (* inv_bnn syn_b_0) (* inv_cc syn_c_n syn_c_n) (* 3 (* inv_ccc syn_c_0 syn_c_n syn_c_n)) (* 2 (* inv_ccn syn_c_0 syn_c_n)) (* inv_cn syn_c_n) (* inv_cnn syn_c_0) (* (- 1) (* inv_nn phi1_a)) inv_nn)))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_n)) (* inv_aab syn_b_n) (* inv_aac syn_c_n) inv_aan (* (- 1) (* inv_ab syn_b_n)) (* (- 2) (* inv_abb syn_b_0 syn_b_n)) (* (- 1) (* inv_abc syn_b_0 syn_c_n)) (* (- 1) (* inv_abc syn_b_n syn_c_0)) (* (- 1) (* inv_abn syn_b_0)) (* (- 1) (* inv_ac syn_c_n)) (* (- 2) (* inv_acc syn_c_0 syn_c_n)) (* (- 1) (* inv_acn syn_c_0)) (* (- 1) (* inv_an phi1_0)) (* (- 1) inv_an) (* inv_b syn_b_n) (* 2 (* inv_bb syn_b_0 syn_b_n)) (* 3 (* inv_bbb syn_b_0 syn_b_0 syn_b_n)) (* inv_bbc syn_b_0 syn_b_0 syn_c_n) (* 2 (* inv_bbc syn_b_0 syn_b_n syn_c_0)) (* inv_bbn syn_b_0 syn_b_0) (* inv_bc syn_b_0 syn_c_n) (* inv_bc syn_b_n syn_c_0) (* 2 (* inv_bcc syn_b_0 syn_c_0 syn_c_n)) (* inv_bcc syn_b_n syn_c_0 syn_c_0) (* inv_bcn syn_b_0 syn_c_0) (* inv_bn syn_b_0) (* inv_c syn_c_n) (* 2 (* inv_cc syn_c_0 syn_c_n)) (* 3 (* inv_ccc syn_c_0 syn_c_0 syn_c_n)) (* inv_ccn syn_c_0 syn_c_0) (* inv_cn syn_c_0) (* (- 1) (* inv_n phi1_a)) inv_n)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_a)) inv_0 (* (- 1) (* inv_a phi1_0)) (* (- 1) inv_a) inv_aa (* (- 1) inv_aaa) (* inv_aab syn_b_0) (* inv_aac syn_c_0) (* (- 1) (* inv_ab syn_b_0)) (* (- 1) (* inv_abb syn_b_0 syn_b_0)) (* (- 1) (* inv_abc syn_b_0 syn_c_0)) (* (- 1) (* inv_ac syn_c_0)) (* (- 1) (* inv_acc syn_c_0 syn_c_0)) (* inv_b syn_b_0) (* inv_bb syn_b_0 syn_b_0) (* inv_bbb syn_b_0 syn_b_0 syn_b_0) (* inv_bbc syn_b_0 syn_b_0 syn_c_0) (* inv_bc syn_b_0 syn_c_0) (* inv_bcc syn_b_0 syn_c_0 syn_c_0) (* inv_c syn_c_0) (* inv_cc syn_c_0 syn_c_0) (* inv_ccc syn_c_0 syn_c_0 syn_c_0))))
(assert (= 0 (* (- 1) (* inv_bbb phi1_b))))
(assert (= 0 (+ (* (- 1) (* inv_bbb phi1_c)) (* (- 1) (* inv_bbc phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bbb phi1_n)) (* (- 1) (* inv_bbn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bb phi1_b)) (* (- 1) (* inv_bbb phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_bbc phi1_c)) (* (- 1) (* inv_bcc phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bbc phi1_n)) (* (- 1) (* inv_bbn phi1_c)) (* (- 1) (* inv_bcn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bb phi1_c)) (* (- 1) (* inv_bbc phi1_0)) (* (- 1) (* inv_bc phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bbn phi1_n)) (* (- 1) (* inv_bnn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bb phi1_n)) (* (- 1) (* inv_bbn phi1_0)) (* (- 1) (* inv_bn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_b phi1_b)) (* (- 1) (* inv_bb phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_bcc phi1_c)) (* (- 1) (* inv_ccc phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bcc phi1_n)) (* (- 1) (* inv_bcn phi1_c)) (* (- 1) (* inv_ccn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bc phi1_c)) (* (- 1) (* inv_bcc phi1_0)) (* (- 1) (* inv_cc phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bcn phi1_n)) (* (- 1) (* inv_bnn phi1_c)) (* (- 1) (* inv_cnn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bc phi1_n)) (* (- 1) (* inv_bcn phi1_0)) (* (- 1) (* inv_bn phi1_c)) (* (- 1) (* inv_cn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_b phi1_c)) (* (- 1) (* inv_bc phi1_0)) (* (- 1) (* inv_c phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bnn phi1_n)) (* (- 1) (* inv_nnn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_bn phi1_n)) (* (- 1) (* inv_bnn phi1_0)) (* (- 1) (* inv_nn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_b phi1_n)) (* (- 1) (* inv_bn phi1_0)) (* (- 1) (* inv_n phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_b)) (* (- 1) (* inv_b phi1_0)))))
(assert (= 0 (* (- 1) (* inv_ccc phi1_c))))
(assert (= 0 (+ (* (- 1) (* inv_ccc phi1_n)) (* (- 1) (* inv_ccn phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_cc phi1_c)) (* (- 1) (* inv_ccc phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_ccn phi1_n)) (* (- 1) (* inv_cnn phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_cc phi1_n)) (* (- 1) (* inv_ccn phi1_0)) (* (- 1) (* inv_cn phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_c phi1_c)) (* (- 1) (* inv_cc phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_cnn phi1_n)) (* (- 1) (* inv_nnn phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_cn phi1_n)) (* (- 1) (* inv_cnn phi1_0)) (* (- 1) (* inv_nn phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_c phi1_n)) (* (- 1) (* inv_cn phi1_0)) (* (- 1) (* inv_n phi1_c)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_c)) (* (- 1) (* inv_c phi1_0)))))
(assert (= 0 (* (- 1) (* inv_nnn phi1_n))))
(assert (= 0 (+ (* (- 1) (* inv_nn phi1_n)) (* (- 1) (* inv_nnn phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_n)) (* (- 1) (* inv_nn phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_n)) (* (- 1) (* inv_n phi1_0)))))
(assert (= 0 (* (- 1) (* inv_0 phi1_0))))

(check-sat)
(get-model)
